### Method

# Qmi MessageDmsSetFirmwareIdOutput ref

since: 1.18

#### Declaration [src]

    QmiMessageDmsSetFirmwareIdOutput*
    qmi_message_dms_set_firmware_id_output_ref (
      QmiMessageDmsSetFirmwareIdOutput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.18

#### Return value

Type: `QmiMessageDmsSetFirmwareIdOutput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.